<?php
/**
 * Video Playlist
 *
 * @package media-ace
 * @subpackage Templates
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'No direct script access allowed' );
}

global $mace_vp_videos;

if ( empty( $mace_vp_videos ) ) {
	return;
}
?>

<div class="mace-vidoe-playlist">
	<div class="mace-video-main">
		<?php $mace_vp_videos[0]->render(); ?>
	</div>
	<ol class="mace-video-list">
		<?php
		/**
		 * Video object
		 *
		 * @var Mace_Video $mace_video
		 */
		?>
		<?php foreach ( $mace_vp_videos as $mace_video ) : ?>
		<li class="mace-video-item mace-video-<?php echo sanitize_html_class( $mace_video->get_type() ); ?>" data-mace-video-config="<?php echo esc_attr( $mace_video->get_json_config() ); ?>">
			<?php $mace_video_thumb = $mace_video->get_thumbnail(); ?>
			<?php if ( $mace_video_thumb ) : ?>
				<img src="<?php echo esc_url( $mace_video_thumb ); ?>" width="40" height="40" />
			<?php endif; ?>

			<?php echo esc_html( $mace_video->get_title() ); ?>,
			<?php echo esc_html( $mace_video->get_formatted_duration() ); ?>
		</li>
		<?php endforeach; ?>
	</ol>
</div>
